%define major		10
%define gir_major	3.0
%define libname		%mklibname %{name} %{major}
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		rhythmbox
Summary:	Music Management Application
Version:	3.4.1
Release:	%mkrel 1
License:	GPLv2+ with exception
Group:		Sound/Players
URL:		https://wiki.gnome.org/Apps/Rhythmbox
Source0:	https://download.gnome.org/sources/rhythmbox/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.8
BuildRequires:	pkgconfig(clutter-gst-2.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.8
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.0
BuildRequires:	pkgconfig(grilo-0.3) >= 0.2.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.6.0
BuildRequires:	pkgconfig(gudev-1.0) >= 143
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libbrasero-media3) >= 2.31.5
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(libdmapsharing-3.0) >= 2.9.16
BuildRequires:	pkgconfig(libgnome-media-profiles-3.0)
BuildRequires:	pkgconfig(libgpod-1.0) >= 0.6
BuildRequires:	pkgconfig(libmtp) >= 1.1.6
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libsecret-1) >= 0.14
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.26.0
BuildRequires:	pkgconfig(mx-1.0) >= 1.0.1
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	pkgconfig(tdb) >= 1.2.6
BuildRequires:	pkgconfig(totem-plparser) >= 3.2.0
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	vala >= 0.9.4
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	python3 >= 3.2.3
BuildRequires:	python3-gobject3
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-soup
Requires:	gstreamer1.0-flac >= 0.10.0
Requires:	python3-gobject3
Requires:	dbus-x11
Recommends:	media-player-info
Recommends:	grilo-plugins

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

This is the shared library part of %{name}.

%package mozilla
Group:		Sound/Players
Summary:	Rhythmbox integration for Mozilla Firefox
Requires:	%{name} = %{version}-%{release}

%description mozilla
This plugin integates Rhythmbox with Mozilla and compatible
browsers. It provides a handler for itms:// Links to Apples iTunes
Music Store.

%package devel
Group:		Development/C
Summary:	Rhythmbox plugin development files
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description devel
Install this if you want to build Rhythmbox plugins.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%configure2_5x \
	--with-ipod \
	--with-mtp \
	--disable-vala \
	--disable-static

%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --with-help

# Don't package api docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

find %{buildroot} -name "*.la" -delete

# Context plugin is disabled, so do not install the files.
rm -rf %{buildroot}%{_libdir}/rhythmbox/plugins/context

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_mandir}/man1/*.1*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox3.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_libexecdir}/%{name}-metadata
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/android
%{_libdir}/%{name}/plugins/artsearch
%{_libdir}/%{name}/plugins/audiocd
%{_libdir}/%{name}/plugins/audioscrobbler
%{_libdir}/%{name}/plugins/cd-recorder
%{_libdir}/%{name}/plugins/daap
%{_libdir}/%{name}/plugins/dbus-media-server
%{_libdir}/%{name}/plugins/fmradio
%{_libdir}/%{name}/plugins/generic-player
%{_libdir}/%{name}/plugins/grilo
%{_libdir}/%{name}/plugins/im-status
%{_libdir}/%{name}/plugins/ipod
%{_libdir}/%{name}/plugins/iradio
%{_libdir}/%{name}/plugins/lyrics
%{_libdir}/%{name}/plugins/magnatune
%{_libdir}/%{name}/plugins/mmkeys
%{_libdir}/%{name}/plugins/mpris
%{_libdir}/%{name}/plugins/mtpdevice
%{_libdir}/%{name}/plugins/notification
%{_libdir}/%{name}/plugins/power-manager
%{_libdir}/%{name}/plugins/python-console
%{_libdir}/%{name}/plugins/rb
%{_libdir}/%{name}/plugins/rblirc
%{_libdir}/%{name}/plugins/rbzeitgeist
%{_libdir}/%{name}/plugins/replaygain
%{_libdir}/%{name}/plugins/sendto
%{_libdir}/%{name}/plugins/soundcloud
%{_libdir}/%{name}/plugins/visualizer
%{_libdir}/%{name}/plugins/webremote
%{_libdir}/%{name}/sample-plugins

%files -n %{libname}
%{_libdir}/lib%{name}-core.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MPID-%{gir_major}.typelib
%{_libdir}/girepository-1.0/RB-%{gir_major}.typelib

%files mozilla
%{_libdir}/mozilla/plugins/lib%{name}-itms-detection-plugin.so

%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/MPID-%{gir_major}.gir
%{_datadir}/gir-1.0/RB-%{gir_major}.gir


%changelog
* Wed Sep 14 2016 luigiwalser <luigiwalser> 3.4.1-1.mga6
+ Revision: 1052561
- 3.4.1

* Mon Aug 22 2016 luigiwalser <luigiwalser> 3.4-1.mga6
+ Revision: 1047688
- library major is now 10
- 3.4

* Fri Apr 08 2016 daviddavid <daviddavid> 3.3.1-1.mga6
+ Revision: 999493
- new version: 3.3.1
- update URL
- remove merged upstream patches

* Tue Mar 22 2016 tv <tv> 3.3-3.mga6
+ Revision: 994039
- disable the context pane plugin when webkit isn't available
  (It has not been ported to WebKit2)
- use %%autosetup

* Thu Mar 17 2016 luigiwalser <luigiwalser> 3.3-2.mga6
+ Revision: 992600
- add patch from fedora to port to webkit2
- back to webkit1 for now
- try building with webkit2

* Wed Feb 17 2016 daviddavid <daviddavid> 3.3-1.mga6
+ Revision: 963304
- new version: 3.3
- update files list

* Tue Dec 29 2015 tv <tv> 3.2.1-5.mga6
+ Revision: 916749
- build with grilo-0.3
- build with grilo-0.3
- rebuild for new libgrilo

* Fri Sep 25 2015 tv <tv> 3.2.1-4.mga6
+ Revision: 883598
- rebuild for new grilo

* Mon Sep 07 2015 tv <tv> 3.2.1-3.mga6
+ Revision: 873953
- rebuild for new libgrilo

* Mon Jun 29 2015 wally <wally> 3.2.1-2.mga6
+ Revision: 847826
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 3.2.1-1.mga6
+ Revision: 836652
- new version 3.2.1

* Wed Oct 15 2014 umeabot <umeabot> 3.1-2.mga5
+ Revision: 748215
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 3.1-1.mga5
+ Revision: 732746
- new version 3.1
- drop upstreamed patches

* Sat Sep 27 2014 tv <tv> 3.0.3-4.mga5
+ Revision: 730091
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 3.0.3-3.mga5
+ Revision: 724956
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 3.0.3-2.mga5
+ Revision: 688672
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Jun 08 2014 pterjan <pterjan> 3.0.3-1.mga5
+ Revision: 634641
- 3.0.3

* Sun Mar 23 2014 ovitters <ovitters> 3.0.2-1.mga5
+ Revision: 606944
- new version 3.0.2

* Fri Mar 07 2014 ovitters <ovitters> 3.0.1-4.mga5
+ Revision: 600799
- add patch for new libsecret

* Thu Mar 06 2014 dams <dams> 3.0.1-3.mga5
+ Revision: 600596
- rebuild for new libsecret

* Fri Feb 28 2014 dams <dams> 3.0.1-2.mga5
+ Revision: 597923
- Remove useless/deprecated BuildRequires 'python3-gobject3-devel'

* Tue Oct 22 2013 umeabot <umeabot> 3.0.1-2.mga4
+ Revision: 541522
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 ovitters <ovitters> 3.0.1-1.mga4
+ Revision: 496174
- new version 3.0.1

* Fri Oct 11 2013 fwang <fwang> 3.0-4.mga4
+ Revision: 495096
- force use python3

* Fri Oct 11 2013 fwang <fwang> 3.0-3.mga4
+ Revision: 495089
- force python3

* Wed Sep 18 2013 fwang <fwang> 3.0-2.mga4
+ Revision: 481262
- rebuild for new totem-pl-parser

* Wed Sep 04 2013 dams <dams> 3.0-1.mga4
+ Revision: 475124
- new version 3.0

* Thu May 23 2013 dams <dams> 2.99.1-1.mga4
+ Revision: 425030
- new version 2.99.1

* Fri Apr 12 2013 fwang <fwang> 2.99-2.mga3
+ Revision: 409800
- tweak br

* Mon Apr 08 2013 dams <dams> 2.99-1.mga3
+ Revision: 409098
- new version 2.99
- remove useless patches
- update configure options
- update major

* Mon Jan 14 2013 umeabot <umeabot> 2.98-3.20121216.3.mga3
+ Revision: 380337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 2.98-3.20121216.2.mga3
+ Revision: 343485
- patch1: fix build with automake 1.13
- add BuildRequires lirc-devel for lirc plugin

  + fwang <fwang>
    - drop unneeded post

* Thu Dec 20 2012 fwang <fwang> 2.98-3.20121216.1.mga3
+ Revision: 333348
- update req to gst 1.0
- update file list
- bump req
- br itstool
- br yelp-tools
- new snapshot to build with gst

* Tue Oct 09 2012 fwang <fwang> 2.98-2.mga3
+ Revision: 303763
- force use correct gir version

* Sun Sep 30 2012 fwang <fwang> 2.98-1.mga3
+ Revision: 300872
- disable gtk-doc
- there is no need versioned requires as rhythmbox-gir is already doing this
- versioned gir requires
- musicbrainz does not required now

  + ovitters <ovitters>
    - update group: Sound -> Sound/Players
    - new version 2.98

* Wed Sep 05 2012 fwang <fwang> 2.97-5.mga3
+ Revision: 288370
+ rebuild (emptylog)

* Wed Sep 05 2012 fwang <fwang> 2.97-4.mga3
+ Revision: 288365
- update file list
- br gettext
- new snapshot to build with grilo 0.2

* Fri Jul 13 2012 luigiwalser <luigiwalser> 2.97-3.mga3
+ Revision: 270628
- add upstream patch to fix CVE-2012-3355

* Mon Jun 04 2012 fwang <fwang> 2.97-2.mga3
+ Revision: 253914
- br discid
- br musicbrainz4

* Mon Jun 04 2012 fwang <fwang> 2.97-1.mga3
+ Revision: 253837
- update file list
- update libmajor
- update file list
- new version 2.97

* Sun Apr 15 2012 fwang <fwang> 2.96-1.mga2
+ Revision: 230837
- bump req
- magnatune plugin goes back

  + ovitters <ovitters>
    - new version 2.96
    - update patch10 (disable artdisplay plugin)

* Tue Feb 14 2012 ovitters <ovitters> 2.95-3.mga2
+ Revision: 208806
- clean spec

* Sun Jan 15 2012 wally <wally> 2.95-2.mga2
+ Revision: 196376
- drop radio station customizations as they don't work anymore
- fix gir pkg requires

* Sun Jan 15 2012 fwang <fwang> 2.95-1.mga2
+ Revision: 196366
- update file list
- update libmjaor
- new version 2.95
- br tdb

* Thu Nov 24 2011 fwang <fwang> 2.90.1-0.20111117.2.mga2
+ Revision: 171631
- rebuild for new clutter

* Sun Nov 20 2011 fwang <fwang> 2.90.1-0.20111117.1.mga2
+ Revision: 169862
- magnatune: temporarily disable this plugin
- fix header list in doc
- new snapshot
- suggests grilo plugins

* Fri Oct 07 2011 fwang <fwang> 2.90.1-0.20111004.2.mga2
+ Revision: 152579
- provide .so file in devel package

* Tue Oct 04 2011 fwang <fwang> 2.90.1-0.20111004.1.mga2
+ Revision: 151497
- update file list
- update file list
- new snpshot
- br desktop-file-utils
- br vala
- conver to pkgconfig style br
- cleanup requires for pygtk2

* Wed Sep 07 2011 wally <wally> 2.90.1-0.20110907.2.mga2
+ Revision: 140942
- disable artdisplay plugin by default as it causes a crash

* Wed Sep 07 2011 wally <wally> 2.90.1-0.20110907.1.mga2
+ Revision: 140912
- sync with latest git code
- split out gir .typelibs to own subpackage
- disable static build
- clean .spec

* Sun Jul 17 2011 fwang <fwang> 2.90.1-0.20110613.2.mga2
+ Revision: 125201
- rebuild for new libmtp

* Thu Jun 16 2011 pterjan <pterjan> 2.90.1-0.20110613.1.mga2
+ Revision: 108530
- Update to git master
- Disable vala, the sample plugin is not buildable
- Update buildrequires for gnome-media-profiles

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Adapt buildrequires to libgnome-media-profiles
    - Rebuild against new libgnome-media-profiles

* Tue Jun 14 2011 dmorgan <dmorgan> 0.13.3-7.mga2
+ Revision: 106171
- Fix file list
- Add libproxy-devel as buildRequire
- Rebuild against new brasero

  + ahmad <ahmad>
    - Rebuild against libnotify-0.7

* Sat Apr 09 2011 ahmad <ahmad> 0.13.3-5.mga1
+ Revision: 82511
- disable the check, it fails on the BS
- drop some redundant BR
- re-enable the checks, it seems to work now
- drop *gnomevfs* requires:
  c.f. https://bugzilla.gnome.org/show_bug.cgi?id=604186
- add requires on gvfs; and suggest gvfs-iphone for iphone support
- require gnome-python-gnomekeyring, no sense in suggesting it while e.g.
  gnome-python-gconf is required (both are used for the Magnatunes plugin)
- make the upnp sub-package require python-twisted (Fedora)
- only suggest gnome-python-gnomekeyring

* Wed Apr 06 2011 ahmad <ahmad> 0.13.3-3.mga1
+ Revision: 81462
- require gnome-python-gnomekeyring for the Magnatunre plugin to work
- require gstreamer0.10-soup to be able to play online https radio streams

* Thu Mar 24 2011 boklm <boklm> 0.13.3-2.mga1
+ Revision: 76204
- rebuild for bug #497

* Sat Feb 26 2011 ennael <ennael> 0.13.3-1.mga1
+ Revision: 60050
- clean spec file
- imported package rhythmbox

